@import '../../assets/styles/common.scss';

.donate {
  display: flex;
  flex-direction: column;
  align-items: center;

  &__txt {
    &--title, &--name, &--label {
      font-style: italic;
      font-size: 5rem;
      text-align: center;
    }

    &--title {
      margin-bottom: 5rem;
      color: $blue-light;
    }

    &--name, &--label {
      color: $white;
    }

    &--label {
      padding-right: 2.5rem;
      font-family: $myriad-pro--bold;
      font-weight: 700;
      font-size: 2.5rem;
    }
  }

  &__textbox {
    width: 20rem;
    margin: 5px;
    font-family: $myriad-pro--bold;
    font-size: $preferencesLabel;

    &-input {
      height: 7rem;
      padding: 2px;
      font-family: 'Myriad Pro', sans-serif;
      font-weight: 700;
      font-size: 3.2rem;
      color: $white;
      text-align: center;
      -moz-appearance: textfield;
    }
  }

  &__input {
    display: flex;
  }

  &__close {
    position: absolute;
    top: 5px;
    right: 6px;
    width: 4.5rem;
  }

  &__balance-container {
    display: flex;
    flex-direction: column;
    padding-bottom: 4rem;
    padding-left: 12.5rem;

    &-balance {
      color: $blue-light;
    }

    &-fee {
      color: $blue-light;
    }
  }

  &__submit {
    cursor: pointer;
  }

  @media only screen and (max-width: 1400px) {
    &__txt {
      &--title {
        margin-bottom: 4rem;
        font-size: 3.5rem;
      }

      &--label {
        padding-right: 2rem;
        line-height: 2.2rem;
        font-size: 2.2rem;
      }
    }

    &__submit {
      width: 28rem;
    }

    &__balance-container {
      padding-bottom: 2rem;
    }
  }
}
